//---------------------------------------------------------------------------

#ifndef UnitMainH
#define UnitMainH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.AppEvnts.hpp>
#define TWM_ONSTART (WM_APP+1)
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// IDE で管理されるコンポーネント
	TButton *ButtonPrint;
	TMemo *MemoLog;
	TApplicationEvents *ApplicationEvents1;
	TMemo *MemoList;
	void __fastcall ButtonPrintClick(TObject *Sender);
	void __fastcall ApplicationEvents1Exception(TObject *Sender, Exception *E);
private:	// ユーザー宣言
    void __fastcall TWMOnStart(TMessage & Msg);
    void __fastcall LogOut( UnicodeString msg );
	bool __fastcall IeBusyWait( Variant &ie, int timeout );
	void __fastcall PrintIE( UnicodeString fname );
protected:
        BEGIN_MESSAGE_MAP
                VCL_MESSAGE_HANDLER(TWM_ONSTART, TMessage, TWMOnStart)
        END_MESSAGE_MAP(TForm)
public:		// ユーザー宣言
	__fastcall TFormMain(TComponent* Owner);
    virtual __fastcall ~TFormMain();
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------
#endif
